### Hierarchy

- OwnPropsOfExpandPanel
  - StatePropsOfExpandPanel

## Index

### Properties

- enableMoveDown
- enableMoveUp
- expanded
- index
- path
- renderers
- rootSchema
- schema
- uischema

### Methods

- handleExpansion

## Properties

### enableMoveDown

enableMoveDown: boolean

- Defined in layouts/ExpandPanelRenderer.tsx:47

### enableMoveUp

enableMoveUp: boolean

- Defined in layouts/ExpandPanelRenderer.tsx:46

### expanded

expanded: boolean

- Defined in layouts/ExpandPanelRenderer.tsx:43

### index

index: number

- Defined in layouts/ExpandPanelRenderer.tsx:39

### path

path: string

- Defined in layouts/ExpandPanelRenderer.tsx:40

### Optional renderers

renderers: JsonFormsRendererRegistryEntry[]

- Defined in layouts/ExpandPanelRenderer.tsx:44

### rootSchema

rootSchema: JsonSchema

- Defined in layouts/ExpandPanelRenderer.tsx:45

### schema

schema: JsonSchema

- Defined in layouts/ExpandPanelRenderer.tsx:42

### uischema

uischema: ControlElement

- Defined in layouts/ExpandPanelRenderer.tsx:41

## Methods

### handleExpansion

- handleExpansion(panel: string): function

- - Defined in layouts/ExpandPanelRenderer.tsx:48

  #### Parameters

  - ##### panel: string

  #### Returns function

  - - (event: any, expanded: boolean): void

    - #### Parameters

      - ##### event: any

      - ##### expanded: boolean

      #### Returns void

Generated using TypeDoc